commit:     f474e8b87385a08f8b745153c744e216c91edd6d
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 28 18:41:30 2025 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 28 18:41:30 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f474e8b8

app-shells/starship: add 1.23.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-shells/starship/Manifest               |  2 +
 app-shells/starship/starship-1.23.0.ebuild | 66 ++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/app-shells/starship/Manifest b/app-shells/starship/Manifest
index 476bf0561fcd..883828f6866d 100644
--- a/app-shells/starship/Manifest
+++ b/app-shells/starship/Manifest
@@ -1,2 +1,4 @@
 DIST starship-1.22.1-crates.tar.xz 35080388 BLAKE2B 
041bb5c5375084546a33998583eea2e4ddb5c4abd2a1d7e95ce1601cbaf61204be3281b2f035402af01909d5766611a25a35b7d85f33c7dea4a411a5bf5c5e84
 SHA512 
dd34614c1bee2fbb5053b2b8320a450749a04f941766e834eb7fbd4b856d1aa4d744046c10ba9149aad19d11ef446497c7c0b63b44abb3cf5569a0c700ed6982
 DIST starship-1.22.1.tar.gz 9444990 BLAKE2B 
fd062b3cdf08fde07fd8fd67112ae9f5330c8a96a55f7c69b1a616e113580bbf3e7dd484a1e0ffd3d7bafab8a1a0618dc12bff7ddacb9d310e9287b89ceee3fd
 SHA512 
97377922ae0b4e702ddf36534abc9b2fdfbfac50c5f0d4a483a06135f5efef6585abd1fd335ed28f9b0e43b5a0197b724ab1385d3adeef2c75046f5a29fe4ff6
+DIST starship-1.23.0-crates.tar.xz 26250264 BLAKE2B 
c13e472850abb73ebfa960514beff2e9ea7a156f103e05d029142f3809fb27aacdbe7485af687d51d214a0c0f0960ac32f879dac7f8ba414757d83581d76c877
 SHA512 
f144704bfa32574f87dcb8d71be3efc55449f1aeefed4aaae22883ad93e237a3e8bbc5754c31540735909eff4ed8cc263082f7646af2f98b73827755ff917bf8
+DIST starship-1.23.0.tar.gz 10760658 BLAKE2B 
e475e991240d46c2c2bc850ecd439f557f5508112a13731b85ba51d3ff9ccf07c3ec29c345209566a0cca60aa180d0fc0e31ffe2656224497f20a351b6fc83fb
 SHA512 
e04a1b711d91aed4fe756c8f2be87304e8a4fbabc4720e4c39c517829ca9cd4f93b27fb20b9208350147f5ca6af97b5e0572c04a57f5d66172539a1c41110eae

diff --git a/app-shells/starship/starship-1.23.0.ebuild 
b/app-shells/starship/starship-1.23.0.ebuild
new file mode 100644
index 000000000000..5f488f3695cf
--- /dev/null
+++ b/app-shells/starship/starship-1.23.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES=""
+RUST_MIN_VER="1.85.0"
+inherit cargo optfeature shell-completion
+
+DESCRIPTION="The minimal, blazing-fast, and infinitely customizable prompt for 
any shell"
+HOMEPAGE="https://starship.rs/";
+SRC_URI="https://github.com/starship/starship/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+SRC_URI+=" 
https://github.com/gentoo-crate-dist/${PN}/releases/download/v${PV}/${P}-crates.tar.xz";
+
+LICENSE="ISC"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 BSD CC0-1.0 ISC MIT MPL-2.0 Unicode-3.0 Unlicense WTFPL-2
+       ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+BDEPEND="
+       dev-build/cmake
+"
+
+QA_FLAGS_IGNORED="usr/bin/starship"
+
+src_prepare() {
+       sed -e '/^strip/s/true/false/' -i Cargo.toml || die # bug 866133
+       default
+}
+
+src_configure() {
+       export PKG_CONFIG_ALLOW_CROSS=1
+       export OPENSSL_NO_VENDOR=true
+
+       cargo_src_configure
+}
+
+src_compile() {
+       cargo_src_compile
+
+       local STARSHIP_BIN="$(cargo_target_dir)/${PN}"
+
+       # Prepare shell completion generation
+       mkdir "${T}/completions" || die
+       local shell
+       for shell in bash fish zsh; do
+               "${STARSHIP_BIN}" completions ${shell} > 
"${T}/completions/${shell}" || die
+       done
+}
+
+src_install() {
+       dobin "$(cargo_target_dir)/${PN}"
+       dodoc README.md
+
+       newbashcomp "${T}/completions/bash" "${PN}"
+       newzshcomp "${T}/completions/zsh" "${PN}"
+       newfishcomp "${T}/completions/fish" "${PN}.fish"
+}
+
+pkg_postinst() {
+       optfeature "font support" media-fonts/iosevka media-fonts/noto-emoji
+}

Reply via email to